- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_digest_calc.h File Reference

implements the calculations of H(A1), H(A2), request-digest and response-digest for Axis2 based on rfc2617. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Defines
#define | AXIS2_DIGEST_HASH_LEN 16
#define | AXIS2_DIGEST_HASH_HEX_LEN 32
## Typedefs
typedef unsigned char | axutil_digest_hash_t [AXIS2_DIGEST_HASH_LEN]
typedef unsigned char | axutil_digest_hash_hex_t [AXIS2_DIGEST_HASH_HEX_LEN+1]
## Functions
AXIS2_EXTERN axis2_status_t | axutil_digest_calc_get_h_a1 (const axutil_env_t *env, char *algorithm, char *user_name, char *realm, char *password, char *nonce, char *cnonce, axutil_digest_hash_hex_t session_key)
AXIS2_EXTERN axis2_status_t | axutil_digest_calc_get_response (const axutil_env_t *env, axutil_digest_hash_hex_t h_a1, char *nonce, char *nonce_count, char *cnonce, char *qop, char *method, char *digest_uri, axutil_digest_hash_hex_t h_entity, axutil_digest_hash_hex_t response)

## Detailed Description

implements the calculations of H(A1), H(A2), request-digest and response-digest for Axis2 based on rfc2617.